Bug 35320 - Migrate samba/connector packages to UCS 4
Migrate samba/connector packages to UCS 4
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 3.2
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Arvid Requate
Felix Botner
: interim-1
Depends on:
Blocks: 35828
  Show dependency treegraph
 
Reported: 2014-07-09 07:12 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-07-09 07:12:33 CEST
The following base packages should be migrated to UCS 4:

- univention-samba4
- univention-samba
- univention-samba4wins
- univention-s4-connector
- univention-ad-connector

Please consider the package migration list:

https://hutten.knut.univention.de/mediawiki/index.php/UCS-4.0_Univention_Package_Update
Comment 1 Stefan Gohmann univentionstaff 2014-08-20 08:15:03 CEST
I've started an upgrade of a 3.2-3 system. Among other packages the following samba packages have been removed:

  libdcerpc-server0
  libdcerpc0 
  libgensec0
  libnetapi0
  libregistry0
  libsamba-policy0
  libsamdb0
  libsmbclient-raw0
  libsmbd0
  python-univention-connector
  python-univention-connector-ad
  python-univention-connector-s4
  samba-ad-dc
  samba4
  samba4-clients
  univention-ad-connector
  univention-management-console-module-adconnector
  univention-s4-connector
Comment 2 Stefan Gohmann univentionstaff 2014-08-20 11:22:11 CEST
(In reply to Stefan Gohmann from comment #1)
> I've started an upgrade of a 3.2-3 system. Among other packages the
> following samba packages have been removed:
> 
>   libdcerpc-server0
>   libdcerpc0 
>   libgensec0
>   libnetapi0
>   libregistry0
>   libsamba-policy0
>   libsamdb0
>   libsmbclient-raw0
>   libsmbd0
>   python-univention-connector
>   python-univention-connector-ad
>   python-univention-connector-s4
>   samba-ad-dc
>   samba4
>   samba4-clients
>   univention-ad-connector
>   univention-management-console-module-adconnector
>   univention-s4-connector

I've added this to Bug #35319. The upgrade is no blocker for UCS 4.0 MS1.
Comment 3 Stefan Gohmann univentionstaff 2014-08-22 07:04:01 CEST
r52924 univention-s4-connector
* More python2.7 adjustments (Bug #35319)
Comment 4 Stefan Gohmann univentionstaff 2014-08-22 07:15:39 CEST
The S4 connector page result code is not python-ldap 2.4 compatible:

Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/univention/s4connector/s4/main.py", line 280, in main
    connect()
  File "/usr/lib/pymodules/python2.7/univention/s4connector/s4/main.py", line 163, in connect
    baseConfig['%s/s4/listener/dir' % CONFIGBASENAME])
  File "/usr/lib/pymodules/python2.7/univention/s4connector/s4/__init__.py", line 804, in __init__
    s4_groups = self.__search_s4( filter='objectClass=group', attrlist=['member'])
  File "/usr/lib/pymodules/python2.7/univention/s4connector/s4/__init__.py", line 1003, in __search_s4
    ctrls.append(SimplePagedResultsControl(ldap.LDAP_CONTROL_PAGE_OID,True,(PAGE_SIZE,'')))
AttributeError: 'module' object has no attribute 'LDAP_CONTROL_PAGE_OID'
Comment 5 Stefan Gohmann univentionstaff 2014-08-25 08:32:27 CEST
I've added a changelog for all migrated packages: r52983
Comment 6 Arvid Requate univentionstaff 2014-08-25 22:17:39 CEST
The packages have been migrated to ucs-4.0-0 and built in the scope.
The LDAP_CONTROL_PAGE_OID traceback has been fixed.
Comment 7 Stefan Gohmann univentionstaff 2014-08-27 07:57:57 CEST
The DNS server with samba4 backend could not be started:

--------------------------------------------------------------------------------
/usr/sbin/named -c /etc/bind/named.conf.samba4 -f -g -d 10

27-Aug-2014 07:53:55.934 Loading SDLZ driver.
27-Aug-2014 07:53:55.935 dlz_dlopen failed to open library '/usr/lib/samba/bind9/dlz_bind9.so' - /usr/lib/samba/bind9/dlz_bind9.so: cannot open shared object file: No such file or directory
27-Aug-2014 07:53:55.935 dlz_dlopen of 'samba4.zone' failed
--------------------------------------------------------------------------------

root@ucs-7640:~# find /usr/ -name "*dlz_bind9*"
/usr/lib/x86_64-linux-gnu/samba/bind9/dlz_bind9_9.so
/usr/lib/x86_64-linux-gnu/samba/bind9/dlz_bind9.so
root@ucs-7640:~#
Comment 8 Stefan Gohmann univentionstaff 2014-08-27 11:19:42 CEST
(In reply to Stefan Gohmann from comment #7)
> The DNS server with samba4 backend could not be started:
> 
> -----------------------------------------------------------------------------
> ---
> /usr/sbin/named -c /etc/bind/named.conf.samba4 -f -g -d 10
> 
> 27-Aug-2014 07:53:55.934 Loading SDLZ driver.
> 27-Aug-2014 07:53:55.935 dlz_dlopen failed to open library
> '/usr/lib/samba/bind9/dlz_bind9.so' - /usr/lib/samba/bind9/dlz_bind9.so:
> cannot open shared object file: No such file or directory
> 27-Aug-2014 07:53:55.935 dlz_dlopen of 'samba4.zone' failed
> -----------------------------------------------------------------------------
> ---
> 
> root@ucs-7640:~# find /usr/ -name "*dlz_bind9*"
> /usr/lib/x86_64-linux-gnu/samba/bind9/dlz_bind9_9.so
> /usr/lib/x86_64-linux-gnu/samba/bind9/dlz_bind9.so
> root@ucs-7640:~#

fixed in univention-bind: r53067 + r53068 + r53070
Comment 9 Felix Botner univentionstaff 2014-08-27 16:00:51 CEST
FAIL - univention-samba

apt-get -s install univention-samba
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 univention-samba : Hängt ab von: winbind soll aber nicht installiert werden
                    Hängt ab von: univention-samba-local-config soll aber nicht installiert werden
                    Hängt ab von (vorher): samba (>= 3.0.20) soll aber nicht installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

univention-samba conflicts with samba-dsdb-modules but samba depends on samba-dsdb-modules


FAIL - univention-samba4wins
-> apt-get install univention-samba4wins
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 univention-samba4wins : Hängt ab von: samba4wins ist aber nicht installierbar
                         Hängt ab von: samba4wins-ldbtools ist aber nicht installierbar
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

OK - univention-samba4
OK - univention-s4-connector
Comment 10 Arvid Requate univentionstaff 2014-08-28 15:35:52 CEST
samba4wins has now been merged and built in release-scope ucs_4.0-0.
Comment 11 Felix Botner univentionstaff 2014-09-01 16:41:05 CEST
apt-get  install univention-samba


Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 univention-samba : Hängt ab von: winbind soll aber nicht installiert werden
                    Hängt ab von: univention-samba-local-config soll aber nicht installiert werden
                    Hängt ab von (vorher): samba (>= 3.0.20) soll aber nicht installiert werden
Comment 12 Arvid Requate univentionstaff 2014-09-01 16:58:28 CEST
Fixed, this conflict has been introduced for UCS@school Bug 27370.
Comment 13 Felix Botner univentionstaff 2014-09-01 18:26:56 CEST
FAIL - univention-ad-connector

Traceback (most recent call last):
  File "/usr/share/pyshared/univention/connector/ad/main.py", line 290, in main
    connect()
  File "/usr/share/pyshared/univention/connector/ad/main.py", line 184, in connect
    baseConfig['%s/ad/listener/dir' % CONFIGBASENAME])
  File "/usr/lib/pymodules/python2.7/univention/connector/ad/__init__.py", line 655, in __init__
    ad_groups = self.__search_ad( filter='objectClass=group', attrlist=['member'])
  File "/usr/lib/pymodules/python2.7/univention/connector/ad/__init__.py", line 859, in __search_ad
    ctrls.append(SimplePagedResultsControl(ldap.LDAP_CONTROL_PAGE_OID,True,(PAGE_SIZE,'')))
AttributeError: 'module' object has no attribute 'LDAP_CONTROL_PAGE_OID'

OK - univention-samba: -> Bug #35766 #35765
OK - univention-samba4wins

OK - changelog
Comment 14 Arvid Requate univentionstaff 2014-09-01 20:09:56 CEST
Ok, the ad connector traceback should be fixed now.
Comment 15 Felix Botner univentionstaff 2014-09-02 10:01:02 CEST
OK - univention-ad-connector
Comment 16 Stefan Gohmann univentionstaff 2014-11-26 06:54:20 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".